POST api/Chat/SendMessage
Request Information
URI Parameters
None.
Body Parameters
ChatMessageDetails| Name | Description | Type | Additional information |
|---|---|---|---|
| chatId | integer |
None. |
|
| groupId | integer |
Required Range: inclusive between 1 and 2147483647 |
|
| senderId | integer |
Required Range: inclusive between 220 and 2147483647 |
|
| message | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"chatId": 1,
"groupId": 2,
"senderId": 3,
"message": "sample string 4"
}
text/plain, application/octet-stream
Sample:
{"chatId":1,"groupId":2,"senderId":3,"message":"sample string 4"}
application/xml, text/xml
Sample:
<ChatMessageDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"> <chatId>1</chatId> <groupId>2</groupId> <message>sample string 4</message> <senderId>3</senderId> </ChatMessageDetails>
multipart/form-data, application/form-data
Sample:
<ChatMessageDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><chatId>1</chatId><groupId>2</groupId><message>sample string 4</message><senderId>3</senderId></ChatMessageDetails>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.